Subject: Closing bug 1831

From: Lars Wirzenius <[email-masked]>
Date: Sun, 04 Aug 1996 05:27:49 +0300

During yet another sleepless night, I was browsing the bug list, and
found this bug.

> Today I decided to configure pgp-i, and I came across 2 bugs.
> 1 is already listed as bug #1103, and is caused by a non excisting
> .pgp directory, and pgp doesn't create one, and so can't create it's
> output files. The other one isn't listed. When I run pgp -kg to
> generate a key, It ask me to choose 1, 2 or 3 or to type the number of
> bits. When I enter 2, It's says It will generate a 768 bit key, but
> when it is asking for random key presses, it only needs 4 random bits,
> which is 1 keypress. If I type 768 when asked the size of the key, 
> It needs 248 random bits. So the number of bits isn't correctly set at
> 768 bits when you choose 2 (and maybe 1 and 3, haven't tested that).

PGP collects randomness from all keypresses, that is, also while you
enter the number of bits, the username, and the passphrase. Depending
on how you enter the preceding information, PGP can need more or less
random key presses.  It is even possible to enter the preceding info
in such a way that no extra random bits are required (e.g., slow typing
and long usernames and passphrases tends to make the intervals between
keypresses more random).

Thus, there is no bug (although it was a good idea to be worried), and 
I'm closing this bug report.  I'm not the PGP maintainer, so I hope I'm
not stepping on Ian's toes.

-- 
Lars Wirzenius <[email-masked]> <http://www.iki.fi/liw/>
Please don't Cc: me when replying to my message on a mailing list.